Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001031 [Piwigo] albums feature N/A 2009.06.20 23:57 2010.04.14 17:07
Reporter plg View Status public  
Assigned To nikrou
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.1.0RC2 Product Version 2.0.2
  Target Version 2.1.0RC2 Product Build
Summary 0001031: Automatically sort photos by rank when manual ranks are edited
Description Inside a category, if you modify the ranks manually for your photos, it doesn't automatically use the ranks to sort your photos.

We should have a radio group:

* use global configuration sort order (checked by default)
* use manually defined ranks for this category (simpler than current option + rank + ascending)
* use locally defined sort order (with 3 criteria + ascending/descending)

To make things simpler for beginners, we should automatically check "use manually defined ranks" if an admin click on the submit button of the manual ranks in a category
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0002638)
VDigital (reporter)
2009.06.21 00:15

element_set_ranks must force rank as the default image order inside the current category
(0003740)
svn (reporter)
2010.04.10 15:25

[Subversion] r5759 by nikrou on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1031 : Automatically sort photos by rank when manual ranks are edited
Add fields to choose sorting mode.
If order of images is changed, checked automaticaly rank for sorting mode.

Need refactoring between admin/element_set_ranks.php admin/cat_modify.php

- Issue History
Date Modified Username Field Change
2009.06.20 23:57 plg New Issue
2009.06.20 23:57 plg browser => any
2009.06.20 23:57 plg Web server => Apache 1.3.x
2009.06.21 00:15 VDigital Note Added: 0002638
2010.04.09 23:37 nikrou Status new => assigned
2010.04.09 23:37 nikrou Assigned To => nikrou
2010.04.10 15:25 svn Checkin
2010.04.10 15:25 svn Note Added: 0003740
2010.04.10 15:27 nikrou Status assigned => resolved
2010.04.10 15:27 nikrou Resolution open => fixed
2010.04.14 17:07 plg Status resolved => closed
2010.04.14 17:07 plg Fixed in Version => 2.1.0RC2
2010.04.14 17:07 plg Target Version 2.1.0 => 2.1.0RC2


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker